%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		gf2x
Summary:	Library for multiplying polynomials over the binary field
Version:	1.3.0
Release:	%mkrel 2
Group:		Sciences/Mathematics
License:	GPLv3+
URL:		https://gforge.inria.fr/projects/gf2x/
Source0:	https://gforge.inria.fr/frs/download.php/file/38243/%{name}-%{version}.tar.gz
BuildRequires:	libgmp-devel

%package -n %{libname}
Group:		System/Libraries
License:	LGPLv2+
Summary:	Library for multiplying polynomials over the binary field

%description	-n %{libname}
Library for multiplying polynomials over the binary field.
This package contains the gf2x runtime library.

%package	-n %{devname}
Group:		Development/C
License:	GOL
Summary:	Library for multiplying polynomials over the binary field
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description	-n %{devname}
Library for multiplying polynomials over the binary field.
This package contains the gf2x development files.

%description
gf2x is a library for multiplying polynomials over the binary field.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static \
	--disable-pclmul
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
%__make check

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc NEWS README
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1797936
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1544709
- new version: 1.3.0
- now libmajor is 3

* Thu Feb 13 2020 umeabot <umeabot> 1.2-5.mga8
+ Revision: 1512495
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2-4.mga7
+ Revision: 1297869
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 1.2-3.mga7
+ Revision: 1248693
- build with ntl

* Mon Aug 06 2018 wally <wally> 1.2-2.mga7
+ Revision: 1248367
- build without ntl-devel to break circular dep and get pkg to build on aarch64

* Tue Aug 15 2017 daviddavid <daviddavid> 1.2-1.mga7
+ Revision: 1140933
- new version: 1.2
- remove merged upstream patches
- fix License
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 neoclust <neoclust> 1.1-5.mga6
+ Revision: 906999
- Rebuild as previous one has been rejected

* Sun Nov 29 2015 neoclust <neoclust> 1.1-4.mga6
+ Revision: 906932
- Rebuild with bootstraped ntl

* Sun Dec 07 2014 wally <wally> 1.1-3.mga5
+ Revision: 802002
- add patches from debian to fix build
- sync configure options with debian
- enable checks
- add lib major check to files section
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 534991
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 1.1-1.mga4
+ Revision: 480666
- new version 1.1

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 351507
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 tv <tv> 1.0-1.mga2
+ Revision: 140150
- new release
+ dmorgan <dmorgan>
- Rebuild against unbootstrapped ntl

* Tue Feb 01 2011 dmorgan <dmorgan> 0.9.5-4.mga1
+ Revision: 45724
- imported package gf2x


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-4mdv2011.0
+ Revision: 610846
- rebuild

* Mon Nov 09 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.9.5-3mdv2010.1
+ Revision: 463785
+ rebuild (emptylog)

* Fri Nov 06 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.9.5-2mdv2010.1
+ Revision: 462070
- Import gf2x version 0.9.5.
- gf2x

